MSK3ParserInternal::Zone Struct Reference

Internal: a zone of a MSK3Parser ( main, header, footer ) More...

## Public Types

enum | Type { MAIN, HEADER, FOOTER, NONE }
| the different type More...

## Public Member Functions

| Zone (Type type=NONE, int zoneId=-1)
| the constructor More...

## Public Attributes

Type | m_type
| the zone type More...
int | m_zoneId
| the parser zone id More...
int | m_textId
| the text internal id More...

## Detailed Description

Internal: a zone of a MSK3Parser ( main, header, footer )

## Member Enumeration Documentation

enum MSK3ParserInternal::Zone::Type

the different type

Enumerator
MAIN |
HEADER |
FOOTER |
NONE |

## Constructor & Destructor Documentation

MSK3ParserInternal::Zone::Zone | ( | Type | type = `NONE`,
|  | int | zoneId = `-1`
| ) |  |

inline

the constructor

## Member Data Documentation

int MSK3ParserInternal::Zone::m_textId

the text internal id

Referenced by MSK3Parser::createDocument(), MSK3Parser::createZones(), MSK3Parser::readGroupHeaderInfo(), and MSK3Parser::sendZone().

Type MSK3ParserInternal::Zone::m_type

the zone type

int MSK3ParserInternal::Zone::m_zoneId

the parser zone id

Referenced by MSK3Parser::createDocument(), MSK3Parser::createZones(), MSK3Parser::readGroup(), MSK3Parser::readZone(), and MSK3Parser::sendZone().

The documentation for this struct was generated from the following file:

- MSK3Parser.cxx